davixauth.hpp File Reference

Authentication support for davix support for client cert x509, login password, S3 tokens. More...

`#include <string>`
`#include <vector>`
`#include "../utils/davix_types.hpp"`
`#include "davixx509cred.hpp"`

## Data Structures

class | Davix::SessionInfo
| server related info More...

## Typedefs

typedef int(* | Davix::authCallbackClientCertX509) (void *userdata, const SessionInfo &info, X509Credential *cert, DavixError **err)
typedef int(* | Davix::authCallbackLoginPasswordBasic) (void *userdata, const SessionInfo &info, std::string &login, std::string &password, int count, DavixError **err)

## Detailed Description

Authentication support for davix support for client cert x509, login password, S3 tokens.

## Typedef Documentation

## authCallbackClientCertX509

typedef int(* Davix::authCallbackClientCertX509) (void *userdata, const SessionInfo &info, X509Credential *cert, DavixError **err)

callback for advanced authentication with client cert X509

Parameters

  userdata | : user defined data
  info | : Session info, contains information about server requesting the certificate
  cert | : Client side credential to provide
  err | : error object to set if an error occures

Returns
  MUST return 0 if credential if provided with success or != 0 if error occures

## authCallbackLoginPasswordBasic

typedef int(* Davix::authCallbackLoginPasswordBasic) (void *userdata, const SessionInfo &info, std::string &login, std::string &password, int count, DavixError **err)

callback for advanced authentication with client cert X509

Parameters

  userdata | : user defined data
  info | : Session info, contains information about server requesting the certificate
  login | : login to use
  password | : password to use
  count | : number of try

Returns
  MUST return 0 if success, or !=0 if an error has occures